
Name:	gjacktransport
Version: 0.2.7
Release: %mkrel 1

Summary: gjacktransport - A standalone application to access jack as touchable slider
License: GPL
URL: http://gjacktransport.sourceforge.net/
Group:  Sound
Source: %{name}-%{version}.tar.gz
BuildRequires:	e2fsprogs-devel
BuildRequires:	esound-devel
BuildRequires:	libjack-devel
BuildRequires:	liblash-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	pkgconfig
BuildRequires:	desktop-file-utils
Requires:	jackit
Requires:	lash
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
gjacktransport implements a standalone application to access the
jack-audio-connection-kit's transport mechanism as touchable
slider.

in other words: this software allows to seek Audio/Video media
files when they are played along jack transport. Intended for
audio-engineers or A/V editors that work with arodour, ecasound,
hydrogen and/or xjadeo,..

%prep
%setup -q -n %{name}-%{version}

%build

%configure2_5x

%make

%install
%makeinstall

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 pixmaps/icon.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png


# menu-entry
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=gjacktransport - A standalone application to access jack as touchable slider
Type=Application
Exec=%{name}
Icon=%{name}.png
Categories=X-MandrivaLinux-Applications;AudioVideo;Sound;
DocPath=%{_docdir}/%{name}
EOF


%post
%{update_desktop_database}
%{update_menus}



%postun
%{clean_desktop_database}
%{clean_menus}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL COPYING TODO
%{_bindir}/*
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/gjacktransport.png

%changelog

* Wed Aug 13 2008 Slick50 <slick50@linuxgator.org> 0.2.7-1pclos2007
- Initial build
